pm-utils (1.4.1-13ubuntu0.2) trusty-proposed; urgency=medium

  * 17-fix-wireless-hook.patch: Some drivers actually do have an "enable"
      attribute, so accept both "enable" and "enabled". Also invert the logic
      so that if neither attribute exists the device is considered enabled.
      (Closes: #773647, LP: #1544612)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 15 Feb 2016 10:30:26 +0100

pm-utils (1.4.1-13ubuntu0.1) trusty-proposed; urgency=medium

  * debian/patches/17-fix-wireless-hook.patch: Fix typo in wireless
    hook (LP: #1299975).

 -- Whoopie <whoopie79@gmx.net>  Tue, 08 Jul 2014 07:49:28 +0200

pm-utils (1.4.1-13) unstable; urgency=low

  [ Martin Pitt ]
  * debian/sleep.d/50unload_alx: Unload the alx module during suspend.
    (LP: #1173952)
  * Drop obsolete debian/pm-utils.preinst.
  * Drop obsolete Conflicts/Replaces to pm-utils-powersave-policy and
    laptop-mode-tools.
  * debian/copyright: Move to copyright format 1.0.
  * Move to canonical Vcs-* fields (anonscm.debian.org).
  * Bump to Standards-Version 3.9.5.

  [ Hao-Ran Liu ]
  * Add 28-suspend-hybrid.patch: Support in-kernel hybrid suspend
    (Linux >= 3.6) (LP: #1172692)

 -- Martin Pitt <mpitt@debian.org>  Wed, 06 Nov 2013 09:26:45 +0100

pm-utils (1.4.1-12) unstable; urgency=low

  * debian/video-quirks/20-video-quirk-pm-misc.quirkdb: Don't apply quirks for
    the vmwgfx driver to fix suspend in VMWare. Thanks  Jakob Bornecrantz!
    (fd.o #70056, LP: #1234424)
  * debian/video-quirks/20-video-quirk-pm-sony.quirkdb: Add quirk for SONY
    Vaio Z1-RCP, thanks Yan Li! (Closes: #625805)
  * Add 05-uswsusp-hibernate-mode.patch: Check HIBERNATE_MODE in uswsusp
    module. Thanks Vadim Solomin! (Closes: #589553)
  * Add 27-run-hook-logging.patch: In suspend log, put empty line after
    running the hook, not in between. Thanks Dominique Brazziel!
    (Closes: #661168)

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Oct 2013 07:49:49 +0200

pm-utils (1.4.1-11) unstable; urgency=low

  * Add 04-ignore-led-failure.patch: Some Lenovo Thinkpad models don't have a
    suspend LED, don't break suspend over this. Thanks Adam Lee!
  * Bump Standards-Version to 3.9.4 (No changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Tue, 02 Jul 2013 06:38:25 +0200

pm-utils (1.4.1-10) unstable; urgency=low

  * debian/rules: Stop installing sleep.d/55NetworkManager. Current
    NetworkManager does not even expose this API any more, so the
    sleep()/wake() calls just always fail. As NM is apparently able to deal
    with suspends just fine, no need to waste cycles on this.
  * Drop 90-nm-proper-wakeup.patch: Obsolete with above change.
  * Add debian/time-hook-execution.patch: Measure time that hooks take and
    print them in the log. Also, disable actual suspend call to make hook
    optimization/measure turnarounds more convenient. This is not applied by
    default as the date calls themselves add overhead; just keep it in the
    source package for future use.
  * Add 15-video_quirks_on_x86_only.patch: Only run the video quirk handlers
    on x86 and x86_64, as they are quite expensive.
  * Add 16-no-powersave-before-suspend.patch: Calling pm-powersave before
    pm-suspend is very slow, it. e. g. takes > 1.5 seconds on a Nexus 7. This
    does not nearly compensate the potentially slightly slower suspend
    operation in low power mode, so disable it.
  * Drop the "shopt" bashism from 15-video_quirks_on_x86_only.patch which
    somehow slipped in there. (LP: #1091824)
  * Lift ethtool suggests to recommends, to make disable_wol work in a default
    installation. (LP: #1081785)
  * 20-video-quirk-pm-sony.quirkdb: Fix '||' typo, leading to suspend failure
    on Vaios. (Closes: #561877)

 -- Martin Pitt <mpitt@debian.org>  Mon, 01 Jul 2013 07:46:04 +0200

pm-utils (1.4.1-9) unstable; urgency=low

  * Add 26-inhibit-on-right-status.patch: Do not use the exit status of log
    rather the exit status of the hook thereby allowing inhibit to work.
    Thanks to Ariel Cornejo for the patch! (LP: #665651, Closes: #633147)
  * Add 01_xfs_buffer_arguments.patch: pm/power.d/xfs_buffer: Fix wrong
    argument ordering. Thanks to Andre Draszik for the patch!
    (LP: #645974)
  * debian/rules: Remove the journal-commit and readahead scripts. Recent
    measurements have shown that they do not save any power in different
    workloads on rotary disks, and in fact increase power usage on SSD.
    (fd.o #44627, LP: #900923) This also avoids bugs caused by the
    journal-commit script. (Closes: #625606, LP: #891688)
  * Add debian/power.d/{pci_devices,usb_bluetooth}: Set USB bluetooth to
    autosuspend and a safe subclass of PCI devices to low-power mode during
    powersafe mode. (fd.o #44672, LP: #911325)
  * Add debian/patches/03-fix-alpm-typo.patch: Fix typo in sata_alpm hook.
    (fd.o #44676, LP: #900930)
  * debian/rules: Stop install hal-cd-polling. hal has been obsolete for
    years, so don't waste cycles for checking for hal. (LP: #898564)
  * debian/rules: Stop installing sleep.d/49bluetooth, it is not necessary any
    more with current Linux kernels. (Closes: #623750)

 -- Martin Pitt <mpitt@debian.org>  Mon, 16 Jan 2012 15:55:45 +0100

pm-utils (1.4.1-8) unstable; urgency=low

  * debian/control: Demote "kbd | console-tools" to Recommends. If KMS is
    used, chvt is no longer required so we only need it as fallback.

 -- Michael Biebl <biebl@debian.org>  Tue, 12 Apr 2011 13:24:47 +0200

pm-utils (1.4.1-7) unstable; urgency=low

  * debian/control: Version the laptop-mode-tools conflicts to << 1.55, as
    from that version on the /usr/lib/pm-utils/power.d/laptop-mode was
    renamed, thus avoiding the file conflict. (Closes: #612710, LP: #638307)

 -- Martin Pitt <mpitt@debian.org>  Fri, 18 Mar 2011 17:25:56 +0100

pm-utils (1.4.1-6) unstable; urgency=low

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Feb 2011 14:20:32 +0100

pm-utils (1.4.1-5) experimental; urgency=low

  * Add 13-49bluetooth-sync.patch: Wait for btusb module to get unused, so
    that you can remove it in SUSPEND_MODULES. (LP: #698331)
  * Add 14-disable-sata-alpm.patch: Disable SATA link power management by
    default, as it still causes disk errors and corruptions on many hardware.
    (LP: #539467)

 -- Martin Pitt <mpitt@debian.org>  Tue, 01 Feb 2011 16:11:40 +0100

pm-utils (1.4.1-4) experimental; urgency=low

  * debian/patches/12-fix-intel-audio-powersave-hook.patch
    - Fix path in intel-audio-powersave hook and the log output.
      (Closes: #598006). Thanks Florian Kriener for the patch!
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Drop quilt from Build-Depends.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk include.
    - Remove debian/README.source.
    - Move video-quirks to debian/ so they are handled properly by
      dpkg-source.

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Nov 2010 05:23:08 +0100

pm-utils (1.4.1-3) experimental; urgency=low

  * debian/rules: Remove harddrive power hook, this causes excessive hard disk
    spindown on a lot of machines. The hdparm package already ships a less
    aggressive hook (with -B 128 instead of -B 1). (LP: #606706)
  * debian/control: Bump Standards-Version to 3.9.1 (no changes necessary).
  * debian/rules: Use dpkg-vendor instead of lsb_release, and drop lsb-release
    build dependency.

 -- Martin Pitt <mpitt@debian.org>  Fri, 24 Sep 2010 08:44:00 +0200

pm-utils (1.4.1-2) experimental; urgency=low

  [ Matt Zimmerman ]
  * debian/control: Conflicts/Replaces: laptop-mode-tools, as both ship
    /usr/lib/pm-utils/power.d/laptop-mode and the changelog below indicates
    these two packages should not be used together anyway. (LP: #606160)

 -- Martin Pitt <mpitt@debian.org>  Sun, 22 Aug 2010 17:21:49 +0200

pm-utils (1.4.1-1) experimental; urgency=low

  [ Michael Biebl ]
  * New upstream release. (Closes: #588587)
    The main improvement is that this ships some generally useful power
    management hooks by default. Note that this conflicts with similar
    packages such as laptop-mode-tools or pm-utils-powersave-policy, so you
    should not enable them and pm-utils at the same time.
    Current hooks when switching to battery:
    - [disable_wol] Disable Wake-on-LAN on ethernet cards
    - [hal-cd-polling] Disable HAL's polling of CD drives for automounting
      them. Note that this HAL functionality is already obsolete in Debian's
      current GNOME, but still being used in current KDE and XFCE desktops.
    - [harddrive] More aggressive harddrive spindown times
    - [intel-audio-powersave] Put ac97 and hda cards to sleep when inactive.
    - [journal-commit, xfs_buffer] Delay ext[34]/ext journal/metadata
      writeback
    - [laptop-mode] Delay hard disk writeback times of dirty caches, to avoid
      spin ups
    - [pcie_aspm] PCI express cards power saving
    - [readahead] More speculative readahead, at the expense of using more
      memory
    - [sata_alpm] Enable SATA link power management
    - [sched-powersave] Try to use fewer cores on multi-core machines
    - [wireless] Reduce RX/TX power when idle on some known-working drivers
      (various Intel chips for now)
  * video-quirks/*
    - Update quirks to latest upstream release pm-quirks-20100619.
  * Drop patches applied upstream
    - debian/patches/05-inspiron-8600-ati-quirk.patch
    - debian/patches/08-fix-lock-file-handling.patch
    - debian/patches/12-man-page-fixes.patch
  * Refresh and update all patches so they apply cleanly.
  * debian/control
    - Demote radeontool to Suggests. The standard Debian/Ubuntu kernels use
      KMS for radeon which makes this tool obsolete. (Closes: #588768)

  [ Martin Pitt ]
  * debian/control: Add hdparm Recommends and ethtool/wireless-tools Suggests,
    for the newly added power saving hooks.
  * debian/control: Conflicts/Replaces: pm-utils-powersave-policy, superseded
    by the now integrated power.d hooks.

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Jul 2010 16:24:27 +0200

pm-utils (1.3.0-3) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.9.1. No further changes.
  * Stop using SLEEP_MODULE="auto".
    In auto mode we use s2ram/s2disk from uswsusp if installed.
    As s2ram does not handle KMS correctly, which is the default for the main
    graphics drivers in squeeze, this causes problems, so we no longer
    suggest the usage of uswsusp and by default use the kernel backend.
    If you want to keep using uswsusp you need to configure this explicitly.
    See the pm-suspend(8) man page for details.

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Nov 2010 05:04:07 +0100

pm-utils (1.3.0-2) unstable; urgency=low

  * debian/control
    - Don't make dependency on vbetool and uswsusp arch-specific since
      pm-utils is an architecture all package (and we want to keep it so).
      As vbetool and uswsusp are only Recommends resp. Suggests this poses no
      problems for architectures where those dependencies can't be satisfied.
      (Closes: #583062)

 -- Michael Biebl <biebl@debian.org>  Fri, 28 May 2010 03:45:40 +0200

pm-utils (1.3.0-1) unstable; urgency=low

  [ Martin Pitt ]
  * Final 1.3.0 release (two small bug fixes since 1.3.0~rc3-2).
    - Re-adds "chvt" quirk for nvidia driver (LP: #488720, Closes: #495347)
  * Drop patches applied upstream:
    - 01-fix-DMI-attribute-matching.patch
    - 03-fix-usage-of-find_native.patch
    - 04-fix-alternatives-matching-in-native-quirks-DB.patch
    - 07-fix-typo-pm-action.patch
    - 11_nvidia_suspend.patch
  * video-quirks/*: Update from http://pm-utils.freedesktop.org/releases/
    pm-quirks-20100316.tar.gz

  [ Michael Biebl ]
  * Refresh and update patches.
  * debian/patches/11-handle-on_ac_power-255-return-code.patch
    - If on_ac_power can not determine the AC power state, assume it is a
      desktop machine and behave like "pm-powersave false". (Closes: #572060)
  * debian/patches/12-man-page-fixes.patch
    - Various man page updates and fixes. (Closes: #570174)
      Thanks to Filipus Klutiero for the proofreading.

 -- Michael Biebl <biebl@debian.org>  Fri, 19 Mar 2010 03:05:11 +0100

pm-utils (1.3.0~rc3-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4. No further changes.
  * debian/patches/06-quirk-lkw-cache.patch
    - Store the last_known_working.quirkdb cache file in /var/cache/pm-utils.
  * debian/pm-utils.dirs
    - Add /var/cache/pm-utils/ directory.
  * debian/pm-utils.preinst
    - Remove last_known_working.quirkdb cache file from /etc/pm on upgrades.
  * debian/control
    - Add Recommends on procps. The sysctl binary is required for setting the
      acpi flags in 99video.
  * debian/patches/07-fix-typo-pm-action.patch
    - Fix typo ('lits') in pm-action man page. (Closes: #567084)
      Thanks to Filipus Klutiero for spotting this.
  * debian/patches/08-fix-lock-file-handling.patch
    - Use flock to make the lock file handling more robust. (Closes: #568565)
  * debian/patches/09-document-add-drop-parameters.patch
    - Document the {ADD,DROP}_PARAMETERS configuration variables in the
      pm-action man page. (Closes: #485443)

 -- Michael Biebl <biebl@debian.org>  Tue, 16 Feb 2010 15:22:15 +0100

pm-utils (1.3.0~rc3-1) experimental; urgency=low

  * New upstream release candidate:
    - Add native suspend-hybrid method. It initially suspends the box, and
      sets an alarm to wake up in 15 minutes.  If the system is not resumed
      before the alarm goes off, it will wake up and hibernate.
    - pm-utils can now optionally profile the hooks as they run to see which
      ones are taking an unusual amount of time.  See README.debugging for
      more information.
    - pm-utils has its own quirk database that does not rely on HAL.
    - Add --quirk-test parameter that bypasses the sanity checking imposed by
      the quirk database handler for debugging: you can see what happens when
      you post your video card in userspace while running a KMS driver.
  * Drop 01-have-kms-nouveau.patch, applied upstream.
  * debian/watch: Update to use /releases/ and catch release candidates, too.
  * debian/rules: Do not install import-fdi-quirkdb, it's not a general user
    tool but intended for packagers/distros.
  * Add video-quirks/*: Current native video quirk database (from
    pm-quirks-20091205.tar.gz). This might get merged into pm-utils proper,
    and is easier to maintain here for now, in case the format changes again.
  * debian/control: Drop hal recommends.
  * Add 01-fix-DMI-attribute-matching.patch: canonicalize_dmivar() refused the
    valid property "system.firmware.release_date" because of a missing '_' in
    the character filter.
  * Add 03-fix-usage-of-find_native.patch: 98-video-quirk-db-handler expects
    find_native() to write the quirks to stdout, so actually do write them
    there. This makes the native quirks work.
  * Add 04-fix-alternatives-matching-in-native-quirks-DB.patch: The native
    quirks DB separates alternatives with ';'. For regexp matching, turn
    those into '|', so that they will actually match.
  * Add 05-inspiron-8600-ati-quirk.patch: Fix suspend quirks for Dell Inspiron
    8600 with an ATI card. Thanks Kees Cook!
  * Add debian/pm-utils.preinst: Clean up last_known_working.quirkdb on
    upgrades to this version, since previous 1.3 pre-releases did not
    interpret the DB correctly.

 -- Martin Pitt <mpitt@debian.org>  Wed, 03 Feb 2010 13:12:30 -0800

pm-utils (1.2.6.1-3) unstable; urgency=low

  [ Martin Pitt ]
  * Drop 01-modprobe-blacklist.patch again, that was a misunderstanding.

  [ Michael Biebl ]
  * Drop 03-on_ac_power-devkit-power.patch, we are using on_ac_power from
    powermgmt-base so this patch has no effect and only seems to cause
    confusion.
  * debian/patches/01-have-kms-nouveau.patch
    - Fix a typo in have_kms(), the free nvidia driver is called "nouveau",
      not "noveau". Thanks to Julien Cristau for spotting this.

 -- Michael Biebl <biebl@debian.org>  Mon, 30 Nov 2009 09:49:30 +0100

pm-utils (1.2.6.1-2) unstable; urgency=low

  * Add 01-modprobe-blacklist.patch: Respect module blacklists when calling
    modprobe on resume. (fd.o #25254)
  * Add 02-logging-append.patch: Do not clear the log file on each operation,
    but instead append to it. This makes debugging of several suspends much
    easier. Thanks to James Westby for the patch! (fd.o #25255, LP #410352)
  * Add debian/pm-utils.logrotate: Rotate above log file.
  * Prevent hibernation after a kernel update:
    - Add debian/kernel-postinst-hibernate-stamp: /etc/kernel/postinst.d/ hook
      to create /var/run/do-not-hibernate stamp.
    - Add debian/no-hibernate-on-kernel-update: sleep.d hook to make
      hibernation fail early if above stamp exists.
    - debian/rules: Install above scripts.
    - Closes: #457515, LP: #350491
  * debian/rules: When building on Ubuntu, revert the effect of
    10-debian-defaults.patch; uswsusp is not supported in Ubuntu. Add
    lsb-release build dependency for this.
  * debian/control: Add myself to Uploaders: with Michael's consent.
  * Add 03-on_ac_power-devkit-power.patch: Try to contact DeviceKit-Power in
    on_ac_power, and if it succeeds, use that. Otherwise fall back to hal.

 -- Martin Pitt <mpitt@debian.org>  Wed, 25 Nov 2009 15:36:42 +0100

pm-utils (1.2.6.1-1) unstable; urgency=low

  * New upstream release.
    - Revert the removal of have_smart_intel in 1.2.6.

 -- Michael Biebl <biebl@debian.org>  Fri, 13 Nov 2009 17:38:28 +0100

pm-utils (1.2.6-1) unstable; urgency=low

  * New upstream release.
    - Improved KMS detection.
    - Don't return an error in maybe_deallocvt if no state file is found.
      (Closes: #554959)
    - Fix typos in pm-action.8. (Closes: #540122)
  * debian/control
    - Demote uswsusp to Suggests. It's currently in a not good enough state to
      be installed by default. (Closes: #548970)
    - Bump Standards-Version to 3.8.3. No further changes.
  * Drop patches that have been merged upstream
    - debian/patches/30-kms-add-parameters.patch
    - debian/patches/35-typo-fixes.patch
    - debian/patches/40-pm-action-syntax-fix.patch

 -- Michael Biebl <biebl@debian.org>  Thu, 12 Nov 2009 08:43:42 +0100

pm-utils (1.2.5-4) unstable; urgency=low

  * debian/patches/45-bashism-fixes.patch
    - Drop this patch again as it was a false positive of checkbashims. '=='
      was used inside an arithmetic expression, so the fix was bogus.
      Thanks to Tormod Volden for spotting this. (Closes: #530164)

 -- Michael Biebl <biebl@debian.org>  Mon, 06 Jul 2009 20:35:31 +0200

pm-utils (1.2.5-3) unstable; urgency=low

  * debian/patches/35-typo-fixes.patch
    - Fix a few typos in the man pages and the HOWTO.hooks documentation.
      (Closes: #525253)
  * debian/patches/40-pm-action-syntax-fix.patch
    - Fix wrong syntax for configuration variables in the pm-action man page.
      (Closes: #528726)
  * debian/patches/45-bashism-fixes.patch
    - Fix bashism ('==') in pm/functions.in. (Closes: #530164)
  * debian/patches/90-nm-proper-wakeup.patch
    - Patch pulled from Ubuntu. Use --print-reply when calling dbus-send to
      ensure NetworkManager gets signalled on wakeup
  * Bump Standards-Version to 3.8.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Wed, 01 Jul 2009 17:29:02 +0200

pm-utils (1.2.5-2) unstable; urgency=low

  * debian/patches/30-kms-add-parameters.patch
    - Fix typo in have_kms(). (Closes: #524243)
      Thanks to Yves-Alexis Perez for spotting that.

 -- Michael Biebl <biebl@debian.org>  Fri, 17 Apr 2009 00:16:37 +0200

pm-utils (1.2.5-1) unstable; urgency=low

  * New upstream release.
    - Fixes sched_smt_power_savings tunable in sched-powersave.
      (Closes: #518680)
  * debian/control
    - Bump Standards-Version to 3.8.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sat, 11 Apr 2009 21:17:14 +0200

pm-utils (1.2.4-2) unstable; urgency=low

  * debian/compat
    - Bump to debhelper v7 compat mode.
  * debian/control
    - Update debhelper Build-Depends accordingly.

 -- Michael Biebl <biebl@debian.org>  Sun, 15 Feb 2009 19:37:14 +0100

pm-utils (1.2.4-1) experimental; urgency=low

  * New upstream release.
    - Do not report an error on systems which have no system.chassis.type hal
      property. (Closes: #511466)
    - Do no longer run hwclock on suspend/resume unless NEED_CLOCK_SYNC is set
      explicitly.(Closes: #501073)
  * debian/patches/15-no-laptop-mode.patch
    - Removed, merged upstream.
  * debian/patches/80-service.patch
    - Updated.
  * debian/copyright
    - Make it clear that pm-utils is released under GPL version 2 and refer to
      the versioned GPL-2 document in /usr/share/common-licenses/.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Feb 2009 01:08:40 +0100

pm-utils (1.2.3-2) experimental; urgency=low

  * debian/watch
    - Only match stable releases.
  * debian/patches/15-no-laptop-mode.patch
    - As pm-powersave does not enable laptop-mode, remove this remark from the
      pm-powersave(8) man page. (Closes: #504045)
  * debian/rules
    - Enforce regeneration of all man pages. Apparently lintian is not happy
      with the ones shipped by upstream.

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Jan 2009 23:36:13 +0100

pm-utils (1.2.3-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/10-sleep-module-auto-detection.patch
    - Removed, upstream now ships a more finegrained suspend method
      autodetection.
  * debian/patches/10-debian-defaults.patch
    - Added, set SLEEP_MODULE="auto", as we want to use uswsusp if installed.
  * debian/patches/25-pmu.patch
    - Rewrite for new upstream code structure. Thanks to Martin Pitt.
  * Refresh and document all patches.
  * debian/control
    - Update Vcs-* headers. Package is now managed with Git on git.debian.org.

 -- Michael Biebl <biebl@debian.org>  Fri, 05 Dec 2008 17:44:22 +0100

pm-utils (1.1.2.4-1) unstable; urgency=low

  * New upstream release
    - Fix suspend/resume on 2.6.26 and greater Linux kernels using kernel mode
      setting for Intel video drivers. (Closes: #488144)
  * debian/control
    - Update Recommends on uswsusp and vbetool to only list them on
      architectures where they are actually available. (Closes: #452368)

 -- Michael Biebl <biebl@debian.org>  Sun, 03 Aug 2008 11:47:19 +0200

pm-utils (1.1.2.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01-escape-comparison.patch
    - Removed, merged upstream.

 -- Michael Biebl <biebl@debian.org>  Mon, 23 Jun 2008 17:00:50 +0200

pm-utils (1.1.2.2-3) unstable; urgency=low

  * Brown paper bag release.
  * debian/patches/series
    - Actually apply 01-escape-comparison.patch. (Closes: #485125)
  * Bump Standards-Version to 3.8.0.
    - Add debian/README.source as recommended by the new policy.

 -- Michael Biebl <biebl@debian.org>  Sat, 14 Jun 2008 16:01:50 +0200

pm-utils (1.1.2.2-2) unstable; urgency=low

  * debian/patches/01-escape-comparison.patch
    - Escape comparison of the kernel version. (Closes: #485125)

 -- Michael Biebl <biebl@debian.org>  Sun, 08 Jun 2008 14:40:15 +0200

pm-utils (1.1.2.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - Remove docbook-utils from Build-Depends. All man pages are now generated
      from DocBook XML.
  * debian/rules
    - The man pages are now included upstream, so remove all man page related
      build rules.
  * debian/pm-utils.manpages
    - Removed, no longer required.
  * debian/pm-powersave.xml, debian/pm-action.xml, debian/pm-is-supported.xml
    - Removed, all merged upstream.

 -- Michael Biebl <biebl@debian.org>  Thu, 29 May 2008 15:42:54 +0200

pm-utils (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Removed patches
    - debian/patches/15-hibernate_mode_check.patch (merged upstream)
    - debian/patches/20-uswsusp-fixes.patch (merged upstream)
  * Refreshed patches
    - debian/patches/10-sleep-module-auto-detection.patch
    - debian/patches/25-pmu.patch
    - debian/patches/80-service.patch
  * debian/copyright
    - Update download location.
  * debian/control
    - Add Suggests on cpufrequtils. cpufrequtils allows to automatically load
      the correct kernel module to enable cpufreq scaling and set the default
      cpufreq governor.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 May 2008 22:12:23 +0200

pm-utils (1.1.0-1) unstable; urgency=low

  * New upstream release.
    - Fixes the uswsusp module to pass the correct parameters to s2ram when
      using the --quirk-s3-* parameters. (Closes: #448137)
    - Correctly includes multiple config files from /etc/pm/config.d.
      (Closes: #451493, #475565)
    - Correctly restores the cpufreq governors on multi-core machines.
      (Closes: #452620)
    - Fixes filename expansion in current directory. (Closes: #454092)
    - Updated and improved README. (Closes: #425282, #453866)
    - The uswsusp module uses s2ram --force in do_suspend. (Closes: #457019)
      This also means, that the internal whitelist of s2ram is no longer used.
      The preferred way is to get the quirks from hal.
  * debian/control
    - Update the upstream URL and use the new Homepage field. (Closes: #473799)
    - The Vcs-* fields are now officially supported, so remove the XS- prefix.
    - Bump Standards-Version to 3.7.3. No further changes required.
    - Fix a small typo in the long package description. (Closes: #466631)
    - Add Build-Depends on quilt.
    - Add Depends on kbd | console-tools. The kernel and tuxonice module
      require the chvt utility. (Closes: #474637)
  * debian/watch
    - Updated. Parse the homepage at http://pm-utils.freedesktop.org/wiki/ for
      the latest release.
  * Removed patches
    - debian/patches/10-uswsusp-support.patch (obsolete)
    - debian/patches/15-laptop-tools.patch (obsolete)
    - debian/patches/20-do-not-unload-button.patch (merged upstream)
    - debian/patches/30-comment-defaults-file.patch (obsolete)
    - debian/patches/40-performance-gov-on-hibernate.patch (fixed upstream)
    - debian/patches/50-no-usleep.patch (merged upstream)
    - debian/patches/60-suspend-hybrid.patch (obsolete)
    - debian/patches/70-remove-pm-pmu.patch (obsolete)
    - debian/patches/75-suspend-support.patch (obsolete)
    - debian/patches/85-remove-empty-NEW.patch (obsolete)
    - debian/patches/90-support-modules-with-dash.patch (obsolete)
    - debian/patches/95-fix-config-file-parsing.patch (merged upstream)
  * Updated patches
    - debian/patches/80-service.patch
  * debian/patches/10-sleep-module-auto-detection.patch
    - Try to autodetect which sleep module to use. Check tuxonice first, then
      uswsusp and fall back to kernel.
  * debian/patches/15-hibernate_mode_check.patch
    - Add a safety check before writing the hibernate method to
      /sys/power/disk. (Closes: #450515)
  * debian/patches/20-uswsusp-fixes.patch
    - Disable the 99video hook for the uswsusp module. s2ram has it's own vt
      switching functionality.
    - Check if s2ram is available.
  * debian/patches/25-pmu.patch
    - As we don't ship the pm-pmu binary, implement the pmu suspend
      functionality with a bit of perl magic. Thanks to Martin Pitt for the
      idea and the code. (Closes: #450601, #452367, #452909)
    - Prefer the /sys/power/state interface over poking /dev/pmu. This
      requires a Linux kernel >= 2.6.25.
  * debian/pm-action.xml
    - Fix some typos in the pm-action manpage. (Closes: #450414)
    - Document new configuration variables.
    - Improve explanation of the quirk options. (Closes: #475755)
  * debian/copyright
    - Update list of authors.
  * debian/rules
    - The 60sysfont hook is no longer shipped upstream, so we don't have to
      remove it anymore.
    - Switch patch system to quilt.

 -- Michael Biebl <biebl@debian.org>  Thu, 24 Apr 2008 06:31:51 +0200

pm-utils (0.99.2-3) unstable; urgency=low

  * Support modules/services with dashes (closes: #433179)
  * Fix config file parser (closes: #427254) 

 -- Tim Dijkstra <tim@famdijkstra.org>  Mon, 16 Jul 2007 22:31:53 +0200

pm-utils (0.99.2-2) unstable; urgency=low

  * Make --hibernate test in pm-is-supported less strict so we
    can support suspend2 too (closes: #422745)
  * pm-action: Fix pm-suspend-hybrid support (closes: 427253)
  * Add some more words to the pm-action manpage (closes: #425282)
  * Don't install useless NEWS file (closes: #431551)
  * Add support for NO_QUIRKS from HAL. Now we can distinguish
    between `no quirks' and 'unknown' (closes: #427052)

 -- Tim Dijkstra <tim@famdijkstra.org>  Sat, 14 Jul 2007 22:41:06 +0200

pm-utils (0.99.2-1) unstable; urgency=low

  [ Michael Biebl ]
  * Initial release (Closes: #389817).
  * Do not install on_ac_power binary. Instead depend on powermgmt-base
    package.

  [ Tim Dijkstra ]
  * Support for `s2ram' for hal >= 0.5.9
  * First stab at suspend-hybrid support
  * Do not install pm-pmu, it is hack for old kernels (older than the one
    in etch) which is also present in the s2ram binary if needed.
  * Do not install pm-reset-swap, it has bugs and is superflous since
    swapon in debian has similar functionality.
  * Recommend vbetool and radeontool (not depend on it) else pm-utils
    won't be installable on anything but x86_*
  * Add manpages.

 -- Tim Dijkstra <tim@famdijkstra.org>  Wed, 25 Apr 2007 22:48:19 +0200

